# FoundationClasses
TKAdvTools
Dynamic

# Dynamic_VariableInstance Class Reference

This class is set in the fields of the
MethodInstance class. When a MethodInstance is
done each variable of the definition must be
defined in the instance by a VariableInstance with
the same name as in the definition. If the method
instance is directly used by an application the
user value is directly set into the
VariableInstance. If now the MethodInstance enters
in the definition of a CompositMethod It is
necessary to define the correspondance between the
variables of the CompositMethod definition and the
use throughout the MethodInstance.
.

`#include <Dynamic_VariableInstance.hxx>`

Inheritance diagram for Dynamic_VariableInstance:

[legend]

## Public Member Functions

Standard_EXPORT | Dynamic_VariableInstance ()
| Returns a new empty instance of this class. .
virtual Standard_EXPORT void | Variable (const Handle(Dynamic_Variable)&avariable)
| Sets the variable <avariable> into the VariableInstance <me>. .
Standard_EXPORT Handle_Dynamic_Variable | Variable () const
| Returns the variable contained into the VariableInstance <me>. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Dynamic_Variable | thevariable

## Constructor & Destructor Documentation

Standard_EXPORT Dynamic_VariableInstance::Dynamic_VariableInstance | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const Dynamic_VariableInstance::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Dynamic_AbstractVariableInstance.

Standard_EXPORT Handle_Dynamic_Variable Dynamic_VariableInstance::Variable | ( |  | ) | const

virtual Standard_EXPORT void Dynamic_VariableInstance::Variable | ( | const Handle(Dynamic_Variable)& | avariable | ) | `[virtual]`

| Implements Dynamic_AbstractVariableInstance.

## Field Documentation

Handle_Dynamic_Variable Dynamic_VariableInstance::thevariable `[private]`

The documentation for this class was generated from the following file:

- Dynamic_VariableInstance.hxx